/** 错误信息code */

export const CODE = {
    /** 调用APP服务接口异常 */
    CODE_APP_SERVER_API_ERR: { code: 555, message: '调用APP服务接口异常!' },
    /**APP信息失败-登录失效 */
    CODE_APP_SERVER_TOKEN_ERR: { code: 556, message: '用户登录状态失效!' },

    /** 用户信息异常code */
    /**用户数据初始化失败 */
    CODE_INIT_USER_ERR: { code: 601, message: '用户数据初始化失败!' },
    CODE_INIT_PLAYER_ERR: { code: 602, message: '小鸡数据初始化失败!' },
    /**用户信息更新失败 */
    CODE_USER_UPDATE_ERR: { code: 603, message: '用户信息更新失败!' },
    /**查询用户信息失败 */
    CODE_USER_INFO_ERR: { code: 604, message: '查询用户信息失败!' },
    /**查询用户APP信息失败 */
    CODE_APPUSER_INFO_ERR: { code: 605, message: '查询用户APP信息失败!' },
    /**用户余额不足 */
    CODE_APPUSER_COIN_NOT_ENOUGHT_ERR: { code: 606, message: '用户余额不足!' },
    /**扣减用户APP余额失败 */
    CODE_APPUSER_SUB_COIN_ERR: { code: 606, message: '扣减用户APP余额失败!' },
    /**购买中,请稍后... */
    CODE_USER_PAY_LOCK_ERR: { code: 607, message: '购买中,请稍后...' },


    /** 商品信息异常code */
    /**商品添加失败 */
    CODE_GOODS_INSERT_ERR: { code: 701, message: '商品添加失败!' },
    /**商品信息查询失败 */
    CODE_GOODS_INFO_ERR: { code: 702, message: '商品信息查询失败!' },
    /**商品更新失败 */
    CODE_GOODS_UPDATE_ERR: { code: 703, message: '商品更新失败!' },
    /**商品删除失败 */
    CODE_GOODS_DELETE_ERR: { code: 704, message: '商品删除失败!' },
    /**商品购买失败 */
    CODE_GOODS_DEAL_ERR: { code: 705, message: '商品购买失败!' },

    /** 订单信息异常code */
    CODE_ORDER_INSERT_ERR: { code: 801, message: '订单创建失败!' },

    /** 小鸡信息异常code */
    /**用户数据查询失败 */
    CODE_PLAYER_INFO_ERR: { code: 902, message: '小鸡数据查询失败!' },
};