import * as fs from 'fs';
import * as yaml from 'js-yaml';
import * as path from 'path';

const YAML_CONFIG_FILENAME = path.resolve(
    process.env.config_path || path.join(__dirname, 'config.yml'),
);
console.log('=========== config.yml =========');
console.log(YAML_CONFIG_FILENAME);
console.log('=========== config.yml =========');
export default () => {
    return yaml.load(
        fs.readFileSync(YAML_CONFIG_FILENAME, 'utf8'),
    ) as Record<string, any>;
};