import { Module } from '@nestjs/common';
import { OrderlogService } from './orderlog.service';
import { OrderlogController } from './orderlog.controller';
import { TypeOrmModule } from '@nestjs/typeorm';
import { OrderlogEntity } from './entities/orderlog.entity';
import { ChickensService } from 'src/chickens/chickens.service';
import { ChickenEntity } from 'src/chickens/entities/chicken.entity';

@Module({
  imports: [TypeOrmModule.forFeature([OrderlogEntity,ChickenEntity])],
  controllers: [OrderlogController],
  exports: [OrderlogService],
  providers: [OrderlogService,ChickensService]
})
export class OrderlogModule { }
