import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { GoodsEntity } from 'src/goods/entities/good.entity';
import { GoodsModule } from 'src/goods/goods.module';
import { GoodsService } from 'src/goods/goods.service';
import { UserModule } from 'src/user/user.module';
import { GoodsController } from './admin_goods.controller';

@Module({
  imports: [
    TypeOrmModule.forFeature([GoodsEntity]),
    GoodsModule,
    UserModule,
  ],
  controllers: [GoodsController],
  providers:[GoodsService]
})
export class AdminModule { }
